--- /tmp/old/asterisk.c	2012-12-03 22:51:41.000000000 +0000
+++ /tmp/new/asterisk.c	2013-01-22 17:12:13.643785000 +0000
@@ -3335,7 +3335,7 @@
 
 static void print_intro_message(const char *runuser, const char *rungroup)
 {
-	if (ast_opt_console || option_verbose) {
+	if (ast_opt_console || option_verbose || (ast_opt_remote && !ast_opt_exec)) {
 		if (ast_register_verbose(console_verboser)) {
 			fprintf(stderr, "Unable to register console verboser?\n");
 			return;
@@ -3772,6 +3772,17 @@
 	__ast_mm_init_phase_1();
 #endif	/* defined(__AST_DEBUG_MALLOC) */
 
+	/* Blindly write the PID file. */
+	ast_mainpid = getpid();
+	unlink(ast_config_AST_PID);
+	f = fopen(ast_config_AST_PID, "w");
+	if (f) {
+		fprintf(f, "%ld\n", (long)getpid());
+		fclose(f);
+	} else {
+		fprintf(stderr, "Unable to open pid file '%s': %s\n", ast_config_AST_PID, strerror(errno));
+	}
+
 	/* Spawning of astcanary must happen AFTER the call to daemon(3) */
 	if (isroot && ast_opt_high_priority) {
 		snprintf(canary_filename, sizeof(canary_filename), "%s/alt.asterisk.canary.tweet.tweet.tweet", ast_config_AST_RUN_DIR);
@@ -3811,17 +3822,6 @@
 		ast_register_atexit(canary_exit);
 	}
 
-	/* Blindly write the PID file. */
-	ast_mainpid = getpid();
-	unlink(ast_config_AST_PID);
-	f = fopen(ast_config_AST_PID, "w");
-	if (f) {
-		fprintf(f, "%ld\n", (long)getpid());
-		fclose(f);
-	} else {
-		fprintf(stderr, "Unable to open pid file '%s': %s\n", ast_config_AST_PID, strerror(errno));
-	}
-
 	/* Initialize the terminal.  Since all processes have been forked,
 	 * we can now start using the standard log messages.
 	 */
